org.apache.solr.cloud.overseer

## Class ReplicaMutator

- java.lang.Object
- - org.apache.solr.cloud.overseer.ReplicaMutator

-     public class ReplicaMutator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ZkStateReader` | `zkStateReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicaMutator(ZkStateReader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ZkWriteCommand` | `addReplicaProperty(ClusterState clusterState, ZkNodeProps message)`
    `ZkWriteCommand` | `deleteReplicaProperty(ClusterState clusterState, ZkNodeProps message)`
    `protected Replica` | `setLeader(Replica replica)`
    `protected Replica` | `setProperty(Replica replica, String key, String value)`
    `ZkWriteCommand` | `setState(ClusterState clusterState, ZkNodeProps message)`
    `protected Replica` | `setState(Replica replica, String state)`
    `protected Replica` | `unsetLeader(Replica replica)`
    `protected Replica` | `unsetProperty(Replica replica, String key)`
    `protected ZkWriteCommand` | `updateState(ClusterState prevState, ZkNodeProps message)`
    `protected ZkWriteCommand` | `updateStateNew(ClusterState clusterState, ZkNodeProps message)` Handles non-legacy state updates

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkStateReader

          protected final ZkStateReader zkStateReader

  - ### Constructor Detail

    - #### ReplicaMutator

          public ReplicaMutator(ZkStateReader reader)

  - ### Method Detail

    - #### setProperty

          protected Replica setProperty(Replica replica,
                                        String key,
                                        String value)

    - #### unsetProperty

          protected Replica unsetProperty(Replica replica,
                                          String key)

    - #### setLeader

          protected Replica setLeader(Replica replica)

    - #### unsetLeader

          protected Replica unsetLeader(Replica replica)

    - #### setState

          protected Replica setState(Replica replica,
                                     String state)

    - #### addReplicaProperty

          public ZkWriteCommand addReplicaProperty(ClusterState clusterState,
                                                   ZkNodeProps message)

    - #### deleteReplicaProperty

          public ZkWriteCommand deleteReplicaProperty(ClusterState clusterState,
                                                      ZkNodeProps message)

    - #### setState

          public ZkWriteCommand setState(ClusterState clusterState,
                                         ZkNodeProps message)

    - #### updateState

          protected ZkWriteCommand updateState(ClusterState prevState,
                                               ZkNodeProps message)

    - #### updateStateNew

          protected ZkWriteCommand updateStateNew(ClusterState clusterState,
                                                  ZkNodeProps message)

      Handles non-legacy state updates

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.